

// *** SVAEXTERNAL module
// *** Module with external assertions
// ***
module svaexternal(wb_if.SVA wbif);


	
	// Check for acks without strobe
	property p_stb_ack;
		@(posedge wb_if.clk) ($rose(wb_if.wb_ack) |-> wb_if.wb_stb);
	endproperty
	
	// Check for unknown data on bus while bus reading is allowed
	property p_data_read;
		@(posedge wb_if.clk) not ($isunknown(wb_if.wb_dat_o) && (~wb_if.wb_we) && (wb_if.wb_ack));
	endproperty


	// Check for proper handshake (library assertion)
	assert_handshake #(0, 0, 10, 0, 0, 3, 0,"ERROR: handshake incorrect") 
		invalid_handshake (wb_if.clk, ~wb_if.reset, wb_if.wb_cyc, wb_if.wb_ack);



	a_stb_ack: assert property(p_stb_ack);
	a_data_read: assert property(p_data_read);

endmodule